Al actualizar la ultima versión de debian y hacer un apt-get dist-upgrade, me ha mostrado el error:

Debian: dpkg: aviso: `ldconfig' no se ha encontrado en el PATH o no es ejecutable

y no deja continuar con la actualización.

Hay una sencilla solución, editamos el fichero /home/USUARIO/.bashrc, y añadimos al final del fichero:

export PATH=$PATH:/usr/local/sbin:/usr/sbin:/sbin

Con esto una vez hayamos reiniciado el equipo podremos actualizar el sistema sin problemas. ;)